Search Results for

Show / Hide Table of Contents

# Class VerticalAxis

The vertical (i.e. Y axis) of a GraphView

##### Inheritance

System.Object
Axis
VerticalAxis

##### Inherited Members

Axis.Orientation
Axis.Increment
Axis.ShowLabelsEvery
Axis.Visible
Axis.LabelGetter
Axis.Text
Axis.Minimum
Axis.Reset()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui.Graphs

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class VerticalAxis : Axis

### Constructors

#### VerticalAxis()

Creates a new Vertical axis

##### Declaration

    public VerticalAxis()

### Methods

#### DrawAxisLabel(GraphView, Int32, String)

Draws the given `text` on the axis at y `screenPosition`. For the screen x position use GetAxisXPosition(GraphView)

##### Declaration

    public override void DrawAxisLabel(GraphView graph, int screenPosition, string text)

##### Parameters

Type | Name | Description
--- | --- | ---
GraphView | graph | Graph being drawn onto
System.Int32 | screenPosition | Number of rows from the top of the screen (i.e. down the axis) before rendering
System.String | text | Text to render to the left of the axis tick. Ensure to set MarginLeft or ScrollOffset sufficient that it is visible

##### Overrides

Axis.DrawAxisLabel(GraphView, Int32, String)

#### DrawAxisLabels(GraphView)

Draws axis Increment markers and labels

##### Declaration

    public override void DrawAxisLabels(GraphView graph)

##### Parameters

Type | Name | Description
--- | --- | ---
GraphView | graph |

##### Overrides

Axis.DrawAxisLabels(GraphView)

#### DrawAxisLine(GraphView)

Draws the vertical axis line

##### Declaration

    public override void DrawAxisLine(GraphView graph)

##### Parameters

Type | Name | Description
--- | --- | ---
GraphView | graph |

##### Overrides

Axis.DrawAxisLine(GraphView)

#### DrawAxisLine(GraphView, Int32, Int32)

Draws a vertical axis line at the given `x`, `y` screen coordinates

##### Declaration

    protected override void DrawAxisLine(GraphView graph, int x, int y)

##### Parameters

Type | Name | Description
--- | --- | ---
GraphView | graph |
System.Int32 | x |
System.Int32 | y |

##### Overrides

Axis.DrawAxisLine(GraphView, Int32, Int32)

#### GetAxisXPosition(GraphView)

Returns the X screen position of the origin (typically 0,0) of graph space. Return value is bounded by the screen i.e. the axis is always rendered even if the origin is offscreen.

##### Declaration

    public int GetAxisXPosition(GraphView graph)

##### Parameters

Type | Name | Description
--- | --- | ---
GraphView | graph |

##### Returns

Type | Description
--- | ---
System.Int32 |